package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgAlarm;
import com.szpg.db.data.PgDevice;

public interface PgDeviceDao {

	public String findAcuCodeByCode(String code);
	public Integer findDeviceIdByCode(String code);
	
	public PgDevice findDeviceById(Integer deviceId);
	public PgDevice findDeviceByCode(String code);
	public List<PgDevice> findDeviceByAcu(String acucode);
	public List<PgDevice> findDeviceByPositionAndType(String acucode, String devtype, String cabin);
	
	public int addGenerlAlarmRecord(PgAlarm alarmRec);

	public int updateDeviceStatus(int deviceid, String status);
}
